unit f_main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Menus, ImgList, ComCtrls, Buttons, ExtCtrls, rHTMLLabel,
  rImprovedComps, rHintWindow;

type
  TMain = class(TForm)
    btGroupBox: TButton;
    btStringGrid: TButton;
    btImage: TButton;
    btrHTMLLabel: TButton;
    btMemo: TButton;
    btPropSave: TButton;
    btTabs: TButton;
    rHTMLLabel1: TrHTMLLabel;
    btCombo: TButton;
    btCheckTreeView: TButton;
    btrHTMLListView: TButton;
    Label2: TLabel;
    Label3: TLabel;
    btHtmlHint: TButton;
    ImgList: TImageList;
    rHTMLHint1: TrHTMLHint;
    Timer1: TTimer;
    btSGValEditor: TButton;
    rGroupBox1: TrGroupBox;
    Label1: TLabel;
    rHTMLLabel2: TrHTMLLabel;
    btRichEdit: TButton;
    procedure btGroupBoxClick(Sender: TObject);
    procedure btStringGridClick(Sender: TObject);
    procedure btImageClick(Sender: TObject);
    procedure btrHTMLLabelClick(Sender: TObject);
    procedure btMemoClick(Sender: TObject);
    procedure btPropSaveClick(Sender: TObject);
    procedure btTabsClick(Sender: TObject);
    procedure btComboClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btCheckTreeViewClick(Sender: TObject);
    procedure btrHTMLListViewClick(Sender: TObject);
    procedure btHtmlHintClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure btSGValEditorClick(Sender: TObject);
    procedure btRichEditClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Main: TMain;

implementation

{$R *.dfm}
uses RosiCompGlobalCfg, rdlg, rtool, rstring, rtip, f_memoex, f_stringgrided,
  f_imagezoom, f_htmllabel, f_htmllistview, f_propsave, f_checktreeview,
  f_comboboxex, f_tabcontrolex, f_groupbox, f_htmlhint, f_stringgridedasini,
  f_richedit;

procedure TMain.FormCreate(Sender: TObject);
begin
  ReportMemoryLeaksOnShutdown:=True;
end;

procedure TMain.Timer1Timer(Sender: TObject);
begin
  Timer1.Enabled:=false;
  btCombo.Click;
  Close;
end;

procedure TMain.btMemoClick(Sender: TObject);
begin
  MemoExForm.ShowModal;
end;

procedure TMain.btStringGridClick(Sender: TObject);
begin
  StringGridEdForm.ShowModal;
end;

procedure TMain.btSGValEditorClick(Sender: TObject);
begin
  StringGrigEdAsIniForm.ShowModal;
end;

procedure TMain.btImageClick(Sender: TObject);
begin
  ImageZoomForm.ShowModal;
end;

procedure TMain.btrHTMLLabelClick(Sender: TObject);
begin
  HTMLLabelForm.ShowModal;
end;

procedure TMain.btrHTMLListViewClick(Sender: TObject);
begin
  HTMLListViewForm.ShowModal;
end;

procedure TMain.btRichEditClick(Sender: TObject);
begin
  RichEditForm.ShowModal;
end;

procedure TMain.btPropSaveClick(Sender: TObject);
begin
  Application.CreateForm(TPropSaveForm, PropSaveForm);
  PropSaveForm.ShowModal;
  PropSaveForm.Free;
end;

procedure TMain.btCheckTreeViewClick(Sender: TObject);
begin
  CheckTreeViewForm.ShowModal;
end;

procedure TMain.btComboClick(Sender: TObject);
begin
  ComboBoxExForm.ShowModal;
end;

procedure TMain.btTabsClick(Sender: TObject);
begin
  TabControlExForm.ShowModal;
end;

procedure TMain.btGroupBoxClick(Sender: TObject);
begin
  GroupBoxForm.ShowModal;
end;

procedure TMain.btHtmlHintClick(Sender: TObject);
begin
  HTMLHintForm.ShowModal;
end;

end.
