unit f_richedit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, rHTMLLabel, rImprovedComps, ComCtrls;

type
  TRichEditForm = class(TForm)
    rHTMLLabel1: TrHTMLLabel;
    rGroupBox1: TrGroupBox;
    rRichEdit1: TrRichEdit;
    m: TrStringsHolder;
    btFont1: TButton;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Edit1: TEdit;
    Button8: TButton;
    Button9: TButton;
    procedure FormCreate(Sender: TObject);
    procedure btFont1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
  private
  public
  end;

var
  RichEditForm: TRichEditForm;

implementation

{$R *.dfm}

procedure TRichEditForm.Button1Click(Sender: TObject);
begin
  rRichEdit1.DecreaseFontSize();
end;

procedure TRichEditForm.Button2Click(Sender: TObject);
begin
  rRichEdit1.SwitchFontStyle(fsBold);
end;

procedure TRichEditForm.Button3Click(Sender: TObject);
begin
  rRichEdit1.SelectFont;
end;

procedure TRichEditForm.Button4Click(Sender: TObject);
begin
  rRichEdit1.DecreaseIndent();
end;

procedure TRichEditForm.Button5Click(Sender: TObject);
begin
  rRichEdit1.IncreaseIndent();
end;

procedure TRichEditForm.Button6Click(Sender: TObject);
begin
  rRichEdit1.SwitchBulletPoints;
end;

procedure TRichEditForm.Button7Click(Sender: TObject);
begin
  rRichEdit1.SwitchBulletNumbers;
end;

procedure TRichEditForm.Button8Click(Sender: TObject);
begin
  rRichEdit1.SearchText(edit1.Text);
end;

procedure TRichEditForm.Button9Click(Sender: TObject);
begin
  rRichEdit1.SearchNext;
end;

procedure TRichEditForm.FormCreate(Sender: TObject);
begin
  rRichEdit1.RtfText:=m.Strings.Text;
end;

procedure TRichEditForm.btFont1Click(Sender: TObject);
begin
  rRichEdit1.IncreaseFontSize();
end;

end.
