unit f_dbsorter_firedac;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, ADODB, Grids, DBGrids, rDBGrid, rDBGrid_MS, FireDAC.Stan.Intf,
  FireDAC.Stan.Option, FireDAC.Stan.Error, FireDAC.UI.Intf, FireDAC.Phys.Intf,
  FireDAC.Stan.Def, FireDAC.Stan.Pool, FireDAC.Stan.Async, FireDAC.Phys,
  FireDAC.Comp.Client, FireDAC.Stan.Param, FireDAC.DatS, FireDAC.DApt.Intf,
  FireDAC.DApt, FireDAC.Comp.DataSet, FireDAC.Phys.ODBCBase, FireDAC.Phys.MSAcc,
  FireDAC.VCLUI.Wait, FireDAC.Comp.UI, rDBGridSorter_FireDac,
  FireDAC.Phys.MSAccDef;

type
  TMain = class(TForm)
    dsEmp: TDataSource;
    rDBGrid_MS1: TrDBGrid_MS;
    FDCon: TFDConnection;
    qEmp: TFDQuery;
    qEmpEmployeeID: TFDAutoIncField;
    qEmpLastName: TWideStringField;
    qEmpFirstName: TWideStringField;
    qEmpTitle: TWideStringField;
    qEmpTitleOfCourtesy: TWideStringField;
    qEmpBirthDate: TSQLTimeStampField;
    qEmpHireDate: TSQLTimeStampField;
    qEmpPartTime: TBooleanField;
    qEmpAddress: TWideStringField;
    qEmpCity: TWideStringField;
    qEmpRegion: TWideStringField;
    qEmpPostalCode: TWideStringField;
    qEmpCountry: TWideStringField;
    qEmpHomePhone: TWideStringField;
    qEmpExtension: TWideStringField;
    qEmpPhoto: TBlobField;
    qEmpReportsTo: TIntegerField;
    qEmpSalary: TFloatField;
    FDPhysMSAccessDriverLink1: TFDPhysMSAccessDriverLink;
    FDGUIxWaitCursor1: TFDGUIxWaitCursor;
    rDBGridSorter_FireDac1: TrDBGridSorter_FireDac;
    qEmpNotes: TWideMemoField;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Main: TMain;

implementation

{$R *.dfm}

uses rstring, rtool, rdlg;

const
  DefaultDB = 'data\Nwind.mdb';
  ConStr = 'Provider=Microsoft.Jet.OLEDB.4.0;Data Source=';

procedure TMain.FormCreate(Sender: TObject);
begin
  FDCon.Close;
  FDCon.Params.Clear;
  FDCon.Params.Add('Database='+GetAppPath + DefaultDB);
  FDCon.Params.Add('DriverID=MSAcc');
  try
    FDCon.Open;
    qEmp.Open;
  except
    on E: exception do
      ShowErr(sError, E, true);
  end;
end;

end.
