unit f_comboboxex;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, rImprovedComps, rHTMLLabel, ImgList, ExtCtrls, ComCtrls;

type
  TComboBoxExForm = class(TForm)
    rComboBoxEx1: TrComboBoxEx;
    rHTMLLabel1: TrHTMLLabel;
    rComboBoxEx2: TrComboBoxEx;
    rHTMLLabel2: TrHTMLLabel;
    rComboBoxEx3: TrComboBoxEx;
    rHTMLLabel3: TrHTMLLabel;
    rHTMLLabel4: TrHTMLLabel;
    cbTimer: TrComboBoxEx;
    rHTMLLabel5: TrHTMLLabel;
    lblText: TrHTMLLabel;
    rHTMLLabel6: TrHTMLLabel;
    rHTMLLabel7: TrHTMLLabel;
    cbDraw: TrComboBoxEx;
    procedure cbTimerUpdateTimer(Sender: TObject);
    procedure cbDrawGetListItemProps(Sender: TObject; Canvas: TCanvas; Index: Integer; State: TOwnerDrawState; var Rect: TRect; var Text: string;
      ShowBmp: TBitmap; var DrawSeparatorTop, DrawSeparatorBottom: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ComboBoxExForm: TComboBoxExForm;

implementation

uses f_main;

{$R *.dfm}

procedure TComboBoxExForm.cbDrawGetListItemProps(Sender: TObject; Canvas: TCanvas; Index: Integer; State: TOwnerDrawState; var Rect: TRect; var Text: string;
  ShowBmp: TBitmap; var DrawSeparatorTop, DrawSeparatorBottom: Boolean);
begin
  Text:=Text + ' (text by event)';
  if Index = 2 then
    DrawSeparatorTop:=true;
  if Index < Main.ImgList.Count then
  begin
    ShowBmp.Width:=Main.ImgList.Width;
    ShowBmp.Height:=Main.ImgList.Height;
    ShowBmp.Canvas.Brush.Color:=clWindow;
    ShowBmp.Canvas.FillRect(ShowBmp.Canvas.ClipRect);
    ShowBmp.Transparent:=true;
    Main.ImgList.GetBitmap(Index, ShowBmp);
  end;
end;

procedure TComboBoxExForm.cbTimerUpdateTimer(Sender: TObject);
begin
  lblText.Caption:=cbTimer.Text;
end;

end.
